## featherpad 0.18.0

=== featherpad/CMakeLists.txt ===
set(QT_MINIMUM_VERSION "5.12.0")
set(HUNSPELL_MINIMUM_VERSION "1.6")

set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Gui "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Svg "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5Network "${QT_MINIMUM_VERSION}" REQUIRED)
find_package(Qt5PrintSupport "${QT_MINIMUM_VERSION}" REQUIRED)

# for spell checking (see FindHUNSPELL.cmake)
find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)

# optional localization
find_package(Qt5LinguistTools QUIET)

# X11 for Linux/Unix
if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  find_package(Qt5X11Extras "${QT_MINIMUM_VERSION}" REQUIRED)
  find_package(X11 REQUIRED)
endif()

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTOUIC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_INCLUDE_CURRENT_DIR ON)

# for the old code; not needed anymore
#find_package(MAGIC_INCLUDE_DIR magic.h)
#find_library(MAGIC_LIBRARY magic $ENV{MAGIC_LIB_PATH})

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS}
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5X11Extras_INCLUDE_DIRS}
                      ${Qt5Network_INCLUDE_DIRS}
                      ${Qt5PrintSupport_INCLUDE_DIRS}
                      ${X11_INCLUDE_DIR}
                      ${HUNSPELL_INCLUDE_DIRS})
  add_definitions(-DHAS_X11)
else()
  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                      ${Qt5Core_INCLUDE_DIRS}
                      ${Qt5Gui_INCLUDE_DIRS}
                      ${Qt5Widgets_INCLUDE_DIRS}
                      ${Qt5Svg_INCLUDE_DIRS}
                      ${Qt5Network_INCLUDE_DIRS}
                      ${Qt5PrintSupport_INCLUDE_DIRS}
                      ${HUNSPELL_INCLUDE_DIRS})
endif()

if(HAIKU)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
elseif(UNIX)
  add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
endif()

set(featherpad_SRCS
    main.cpp
    singleton.cpp
    fpwin.cpp
    encoding.cpp
    tabwidget.cpp
    lineedit.cpp
    textedit.cpp
    tabbar.cpp
    highlighter.cpp
    highlighter-css.cpp
    highlighter-fountain.cpp
    highlighter-java.cpp
    highlighter-json.cpp
    highlighter-html.cpp
    highlighter-pascal.cpp
    highlighter-patterns.cpp
    highlighter-perl-regex.cpp
    highlighter-regex.cpp
    highlighter-ruby.cpp
    highlighter-sh.cpp
    find.cpp
    replace.cpp
    pref.cpp
    config.cpp
    brackets.cpp
    syntax.cpp
    vscrollbar.cpp
    loading.cpp
    printing.cpp
    tabpage.cpp
    searchbar.cpp
    session.cpp
    fontDialog.cpp
    sidepane.cpp
    svgicons.cpp
    spellChecker.cpp
    spellDialog.cpp)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
endif()

set(featherpad_RESOURCES data/fp.qrc)
set(DESKTOP_FILE data/featherpad.desktop)
set(ICON_FILE data/featherpad.svg)
set(HELP_FILE data/help)
file(GLOB HELP_TR_FILES data/help_*)

if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
  qt5_wrap_cpp(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
else()
  set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
endif()

# translations
if(Qt5LinguistTools_FOUND)
  file(GLOB TS_FILES data/translations/featherpad_*.ts)
  qt5_add_translation(QM_FILES ${TS_FILES})
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
  if(HAIKU)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
  elseif(APPLE)
    SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
  elseif(UNIX)
    install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
  endif()
else(Qt5LinguistTools_FOUND)
  add_executable(featherpad ${featherpad_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
endif(Qt5LinguistTools_FOUND)

if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
  target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
                                   ${Qt5Gui_LIBRARIES}
                                   ${Qt5Widgets_LIBRARIES}
                                   ${Qt5Svg_LIBRARIES}
                                   ${Qt5X11Extras_LIBRARIES}
                                   ${Qt5Network_LIBRARIES}
                                   ${Qt5PrintSupport_LIBRARIES}
                                   ${X11_LIBRARIES}
                                   ${HUNSPELL_LIBRARIES})
else()
  target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
                                   ${Qt5Gui_LIBRARIES}
                                   ${Qt5Widgets_LIBRARIES}
                                   ${Qt5Svg_LIBRARIES}
                                   ${Qt5Network_LIBRARIES}
                                   ${Qt5PrintSupport_LIBRARIES}
                                   ${HUNSPELL_LIBRARIES})
endif()

# installation
if(HAIKU)
  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX})
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/data")
elseif(APPLE)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_FILE})
  SET_TARGET_PROPERTIES(featherpad PROPERTIES RESOURCE ${HELP_TR_FILES})
  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_FILE} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/help)
  SET_SOURCE_FILES_PROPERTIES(FILES ${HELP_TR_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/helps)
  SET_TARGET_PROPERTIES(featherpad PROPERTIES MACOSX_BUNDLE TRUE)
  INSTALL(TARGETS featherpad DESTINATION ${CMAKE_INSTALL_PREFIX})
elseif(UNIX)
  # make symlink
  add_custom_target(fpad_symlink ALL ${CMAKE_COMMAND} -E create_symlink featherpad fpad DEPENDS featherpad COMMENT "Creating fpad as a symlink to featherpad")

  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
  install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
  install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # also install translated help files
  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
  # install symlink
  install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fpad DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
endif()

=== debian/changelog ===
featherpad (0.18.0-0.1~mx21+1) mx; urgency=medium

  * * New upstream release; build for MX Linux.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 23 Mar 2021 11:48:41 -0700

=== debian/control ===
Source: featherpad
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: debhelper-compat (= 12),
               libhunspell-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxext-dev,
               qt5-qmake,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
         featherpad-l10n, libglib2.0-bin
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: Language package for featherpad
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the l10n files needed by the featherpad.

## featherpad 1.0.0

=== debian/changelog ===
featherpad (1.0.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release; build for MX Linux.
    - Don't highlight the rest of a JSON document when encountering a huge line,
      (because the formats couldn't be determined).
    - Refactored the code of syntax highlighting.
    - Examine final targets of symlinks when detecting programming languages.
    - Added group separators to the numbers of lines, selected characters and
      words on the statusbar.
    - Better property-value pairs in CSS.
    - Covered "verbatim" in LaTex.
    - Considered a probable comment after the start of a literal block in Yaml.
    - Added an option for disabling menubar accelerators.
    - Added Go syntax highlighting.
    - AppStream metadata (https://www.freedesktop.org/wiki/Distributions/
      AppStream/) added by Balló György (City-busz at GitHub).
    - Handled the case where the start sign of a JavaScript/QML multiline
      comment was inside a regex.
    - Fixed an issue in Ruby's regex, highlighted its back quotes and added a
      very minimal support for its command substitution.
    - Speed up syntax highlighting by applying the main text format only inside
      the visible rectangle and also by remembering single quote and back quote.
    - No need to the window system identifier with tab DND.
    - Bumped the version to 1.0.0. FeatherPad has been stable for a long time
      and some users may mistake "0.X.Y" for "unstable".
  * d/rules: drop the QT_SELECT export, since it rquires Bullseye's Qt 5 and Qt
    4 is no longer in the repos.
  * Switch to cmake build, add cmake and pkg-config to BDs.
  * d/featherpad.install: add "usr/share/metainfo" for the appdata file.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Sep 2021 13:41:38 -0700

=== debian/control ===
--- 
+++ 
@@ -1,16 +1,18 @@
 Source: featherpad
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: editors
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
+               cmake,
                libhunspell-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
-               qt5-qmake,
+               pkg-config,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
@@ -21,8 +23,7 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         featherpad-l10n, libglib2.0-bin
+Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@}

override_dh_strip:
	dh_strip --no-automatic-dbgsym

## featherpad 1.0.1

=== CMakeLists.txt ===
project(featherpad)
cmake_minimum_required(VERSION 3.0)
set(CMAKE_BUILD_TYPE Release)
add_definitions(-Wall)

if(CMAKE_INSTALL_PREFIX_INITIALIZED_TO_DEFAULT)
  if(HAIKU)
    set(CMAKE_INSTALL_PREFIX "/boot/home/config/non-packaged/apps/FeatherPad")
  elseif(APPLE)
    set(CMAKE_INSTALL_PREFIX "/Applications")
  elseif(UNIX)
    set(CMAKE_INSTALL_PREFIX "/usr")
  elseif(OS2)
    set(CMAKE_INSTALL_PREFIX "/@unixroot/usr/")
  endif()
endif()

option(WITHOUT_X11 "Compiling without X11..." OFF)
# OS/2 never has X11
if (OS2)
  option(WITHOUT_X11 "Compiling without X11..." ON)
endif()

add_subdirectory(featherpad)

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -15,6 +15,12 @@
 
 # optional localization
 find_package(Qt5LinguistTools QUIET)
+
+# OS/2 needs an additional lib and tune the processor
+if(OS2)
+  #add_definitions(-mtune=${CMAKE_SYSTEM_PROCESSOR} -march=${CMAKE_SYSTEM_PROCESSOR})
+  set(CMAKE_EXE_LINKER_FLAGS  "${CMAKE_EXE_LINKER_FLAGS} -lcx")
+endif()
 
 # X11 for Linux/Unix
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
@@ -56,7 +62,7 @@
 
 if(HAIKU)
   add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/data")
-elseif(UNIX)
+elseif(UNIX OR OS2)
   add_definitions(-DDATADIR="${CMAKE_INSTALL_PREFIX}/share")
 endif()
 
@@ -69,18 +75,6 @@
     lineedit.cpp
     textedit.cpp
     tabbar.cpp
-    highlighter.cpp
-    highlighter-css.cpp
-    highlighter-fountain.cpp
-    highlighter-java.cpp
-    highlighter-json.cpp
-    highlighter-html.cpp
-    highlighter-pascal.cpp
-    highlighter-patterns.cpp
-    highlighter-perl-regex.cpp
-    highlighter-regex.cpp
-    highlighter-ruby.cpp
-    highlighter-sh.cpp
     find.cpp
     replace.cpp
     pref.cpp
@@ -97,7 +91,22 @@
     sidepane.cpp
     svgicons.cpp
     spellChecker.cpp
-    spellDialog.cpp)
+    spellDialog.cpp
+    highlighter/highlighter.cpp
+    highlighter/highlighter-css.cpp
+    highlighter/highlighter-fountain.cpp
+    highlighter/highlighter-java.cpp
+    highlighter/highlighter-json.cpp
+    highlighter/highlighter-html.cpp
+    highlighter/highlighter-markdown.cpp
+    highlighter/highlighter-pascal.cpp
+    highlighter/highlighter-patterns.cpp
+    highlighter/highlighter-perl-regex.cpp
+    highlighter/highlighter-regex.cpp
+    highlighter/highlighter-rest.cpp
+    highlighter/highlighter-ruby.cpp
+    highlighter/highlighter-sh.cpp
+    highlighter/highlighter-yaml.cpp)
 
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
   set(featherpad_SRCS ${featherpad_SRCS} x11.cpp)
@@ -105,7 +114,14 @@
 
 set(featherpad_RESOURCES data/fp.qrc)
 set(DESKTOP_FILE data/featherpad.desktop)
-set(ICON_FILE data/featherpad.svg)
+set(METAINFO_FILE data/featherpad.metainfo.xml)
+if(NOT OS2)
+  set(ICON_FILE data/featherpad.svg)
+else()
+  enable_language(RC)
+  set_source_files_properties(data/featherpad_os2.rc PROPERTIES LANGUAGE RC)
+  set(featherpad_SRCS ${featherpad_SRCS} data/featherpad_os2.rc)
+endif()
 set(HELP_FILE data/help)
 file(GLOB HELP_TR_FILES data/help_*)
 
@@ -124,7 +140,7 @@
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
   elseif(APPLE)
     SET_SOURCE_FILES_PROPERTIES(${QM_FILES} PROPERTIES MACOSX_PACKAGE_LOCATION Resources/translations)
-  elseif(UNIX)
+  elseif(UNIX OR OS2)
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
   endif()
 else(Qt5LinguistTools_FOUND)
@@ -169,10 +185,19 @@
 
   install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
   install(FILES ${DESKTOP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/applications")
+  install(FILES ${METAINFO_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/metainfo")
   install(FILES ${ICON_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/icons/hicolor/scalable/apps")
   install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
   # also install translated help files
   install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
   # install symlink
   install(FILES ${CMAKE_CURRENT_BINARY_DIR}/fpad DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
-endif()
+elseif(OS2)
+  SET_TARGET_PROPERTIES(featherpad PROPERTIES
+  	OS2_DEF_EXEType "WINDOWAPI"
+  )
+  install(TARGETS featherpad RUNTIME DESTINATION ${CMAKE_INSTALL_PREFIX}/bin)
+  install(FILES ${HELP_FILE} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
+  # also install translated help files
+  install(FILES ${HELP_TR_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad")
+endif()

=== debian/changelog ===
featherpad (1.0.1-0.1) unstable; urgency=medium

  * Non-maintainer upload
  * New upstream release (Closes: #998188).

 -- S. 7 <severusseptimius7@gmail.com>  Sat, 30 Oct 2021 05:19:55 -0400

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,28 @@
 Source: featherpad
-Maintainer: Steven Pusser <stevep@mxlinux.org>
-XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: editors
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               cmake,
                libhunspell-dev,
                libqt5svg5-dev,
                libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
-               pkg-config,
+               qt5-qmake,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
-Standards-Version: 4.4.1
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
 Homepage: https://github.com/tsujan/featherpad
 
 Package: featherpad
 Architecture: any
-Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
+Recommends: featherpad-l10n, libglib2.0-bin
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

%:
	dh ${@} --buildsystem=qmake

override_dh_missing:
	dh_missing --fail-missing

## featherpad 1.1.0

=== debian/changelog ===
featherpad (1.1.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release.
    - Fixed an issue in saving with UTF-16.
    - Enabled experimental compilation against Qt6. With cmake, "ENABLE_QT5"
      should be set to "OFF" (as in `cmake .. -DENABLE_QT5=OFF`) — it's "ON" by default.
    - Better inclusion of Hunspell.
    - Added Tcl syntax highlighting.
    - Increased the maximum number of recent files to 50.
    - Stretch the text view in the side-pane mode and save the splitter
      position in pixels (if it should be remembered). Also, ensure that the
      splitter is visible and its width isn't greater than that of the view
      on startup.
    - Consider the special case where the value of "wheel scroll lines" is zero.
    - Don't try to restore scrollbar position after reloading because it can't
      be done precisely. Instead, center the text cursor.
    - Prevented a very rare stack overflow when matching brackets in huge files,
      by replacing recursive methods with loops. In this way, extremely distant
      brackets can be matched instantly.
    - Fixes and improvements to Lua syntax highlighting, especially regarding
      comments, (nested) string blocks and speed.
    - Added lots of keywords for various programming languages.
    - Fixes and improvements to XML syntax highlighting.
    - Check the root instance only with the first window.

  * Add pkg-config to build-deps to allow for hunspell detection.
  * Make sure new help_ca help file is installed.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 28 Dec 2021 14:52:43 -0800

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: featherpad
-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
+Maintainer: Steven Pusser <stevep@mxlinux.org>
+XSBC-Original-Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
 Uploaders: Alf Gaida <agaida@siduction.org>,
            Andrew Lee (李健秋) <ajqlee@debian.org>
 Section: editors
@@ -10,7 +11,7 @@
                libqt5x11extras5-dev,
                libx11-dev,
                libxext-dev,
-               qt5-qmake,
+               pkg-config,
                qtbase5-dev,
                qttools5-dev,
                qttools5-dev-tools
@@ -21,8 +22,8 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
-Recommends: featherpad-l10n, libglib2.0-bin
+Depends: ${misc:Depends}, ${shlibs:Depends},
+         featherpad-l10n, libglib2.0-bin
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

=== debian/rules ===
--- 
+++ 
@@ -10,3 +10,7 @@
 
 override_dh_missing:
 	dh_missing --fail-missing
+
+# MX don't need no stinkin' dbgsyms
+override_dh_strip:
+	dh_strip --no-automatic-dbgsym

## featherpad 1.1.1

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -1,20 +1,33 @@
-set(QT_MINIMUM_VERSION "5.12.0")
+set(QT5_MINIMUM_VERSION "5.12.0")
+set(QT6_MINIMUM_VERSION "6.2.0")
 set(HUNSPELL_MINIMUM_VERSION "1.6")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
-find_package(Qt5Core "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5Gui "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5Widgets "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5Svg "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5Network "${QT_MINIMUM_VERSION}" REQUIRED)
-find_package(Qt5PrintSupport "${QT_MINIMUM_VERSION}" REQUIRED)
+if(NOT ENABLE_QT5)
+  find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
+  find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
+else()
+  set(QT_VERSION_MAJOR 5)
+endif()
+
+if(QT_VERSION_MAJOR EQUAL 6)
+  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
+else()
+  find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
+endif()
+
+find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}Network REQUIRED)
+find_package(Qt${QT_VERSION_MAJOR}PrintSupport REQUIRED)
 
 # for spell checking (see FindHUNSPELL.cmake)
 find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
 
 # optional localization
-find_package(Qt5LinguistTools QUIET)
+find_package(Qt${QT_VERSION_MAJOR}LinguistTools QUIET)
 
 # OS/2 needs an additional lib and tune the processor
 if(OS2)
@@ -24,7 +37,9 @@
 
 # X11 for Linux/Unix
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
-  find_package(Qt5X11Extras "${QT_MINIMUM_VERSION}" REQUIRED)
+  if(QT_VERSION_MAJOR EQUAL 5)
+    find_package(Qt5X11Extras "${QT5_MINIMUM_VERSION}" REQUIRED)
+  endif()
   find_package(X11 REQUIRED)
 endif()
 
@@ -38,25 +53,37 @@
 #find_library(MAGIC_LIBRARY magic $ENV{MAGIC_LIB_PATH})
 
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
+  if(QT_VERSION_MAJOR EQUAL 6)
+    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
+                        ${Qt6Core_INCLUDE_DIRS}
+                        ${Qt6Gui_INCLUDE_DIRS}
+                        ${Qt6Widgets_INCLUDE_DIRS}
+                        ${Qt6Svg_INCLUDE_DIRS}
+                        ${Qt6Network_INCLUDE_DIRS}
+                        ${Qt6PrintSupport_INCLUDE_DIRS}
+                        ${X11_INCLUDE_DIR}
+                        ${HUNSPELL_INCLUDE_DIRS})
+  else()
+    include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
+                        ${Qt5Core_INCLUDE_DIRS}
+                        ${Qt5Gui_INCLUDE_DIRS}
+                        ${Qt5Widgets_INCLUDE_DIRS}
+                        ${Qt5Svg_INCLUDE_DIRS}
+                        ${Qt5X11Extras_INCLUDE_DIRS}
+                        ${Qt5Network_INCLUDE_DIRS}
+                        ${Qt5PrintSupport_INCLUDE_DIRS}
+                        ${X11_INCLUDE_DIR}
+                        ${HUNSPELL_INCLUDE_DIRS})
+  endif()
+  add_definitions(-DHAS_X11)
+else()
   include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
-                      ${Qt5Core_INCLUDE_DIRS}
-                      ${Qt5Gui_INCLUDE_DIRS}
-                      ${Qt5Widgets_INCLUDE_DIRS}
-                      ${Qt5Svg_INCLUDE_DIRS}
-                      ${Qt5X11Extras_INCLUDE_DIRS}
-                      ${Qt5Network_INCLUDE_DIRS}
-                      ${Qt5PrintSupport_INCLUDE_DIRS}
-                      ${X11_INCLUDE_DIR}
-                      ${HUNSPELL_INCLUDE_DIRS})
-  add_definitions(-DHAS_X11)
-else()
-  include_directories(${CMAKE_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
-                      ${Qt5Core_INCLUDE_DIRS}
-                      ${Qt5Gui_INCLUDE_DIRS}
-                      ${Qt5Widgets_INCLUDE_DIRS}
-                      ${Qt5Svg_INCLUDE_DIRS}
-                      ${Qt5Network_INCLUDE_DIRS}
-                      ${Qt5PrintSupport_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}Core_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}Gui_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}Widgets_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}Svg_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}Network_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}PrintSupport_INCLUDE_DIRS}
                       ${HUNSPELL_INCLUDE_DIRS})
 endif()
 
@@ -98,6 +125,7 @@
     highlighter/highlighter-java.cpp
     highlighter/highlighter-json.cpp
     highlighter/highlighter-html.cpp
+    highlighter/highlighter-lua.cpp
     highlighter/highlighter-markdown.cpp
     highlighter/highlighter-pascal.cpp
     highlighter/highlighter-patterns.cpp
@@ -106,6 +134,8 @@
     highlighter/highlighter-rest.cpp
     highlighter/highlighter-ruby.cpp
     highlighter/highlighter-sh.cpp
+    highlighter/highlighter-tcl.cpp
+    highlighter/highlighter-xml.cpp
     highlighter/highlighter-yaml.cpp)
 
 if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
@@ -125,16 +155,24 @@
 set(HELP_FILE data/help)
 file(GLOB HELP_TR_FILES data/help_*)
 
-if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
-  qt5_wrap_cpp(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
-else()
+if(QT_VERSION_MAJOR EQUAL 6)
   set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
+else()
+  if(CMAKE_VERSION VERSION_LESS "3.10.0") # CMP0071 in 3.10: Let AUTOMOC and AUTOUIC process GENERATED files
+    qt5_wrap_cpp(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
+  else()
+    set(EXTRA_HEADERS warningbar.h messagebox.h filedialog.h)
+  endif()
 endif()
 
 # translations
-if(Qt5LinguistTools_FOUND)
+if(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
   file(GLOB TS_FILES data/translations/featherpad_*.ts)
-  qt5_add_translation(QM_FILES ${TS_FILES})
+  if(QT_VERSION_MAJOR EQUAL 6)
+    qt6_add_translation(QM_FILES ${TS_FILES})
+  else()
+    qt5_add_translation(QM_FILES ${TS_FILES})
+  endif()
   add_executable(featherpad ${featherpad_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE} ${QM_FILES})
   if(HAIKU)
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/translations")
@@ -143,27 +181,38 @@
   elseif(UNIX OR OS2)
     install(FILES ${QM_FILES} DESTINATION "${CMAKE_INSTALL_PREFIX}/share/featherpad/translations")
   endif()
-else(Qt5LinguistTools_FOUND)
+else(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
   add_executable(featherpad ${featherpad_SRCS} ${featherpad_RESOURCES} ${EXTRA_HEADERS} ${DESKTOP_FILE})
-endif(Qt5LinguistTools_FOUND)
-
-if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
-  target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
-                                   ${Qt5Gui_LIBRARIES}
-                                   ${Qt5Widgets_LIBRARIES}
-                                   ${Qt5Svg_LIBRARIES}
-                                   ${Qt5X11Extras_LIBRARIES}
-                                   ${Qt5Network_LIBRARIES}
-                                   ${Qt5PrintSupport_LIBRARIES}
-                                   ${X11_LIBRARIES}
-                                   ${HUNSPELL_LIBRARIES})
-else()
-  target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
-                                   ${Qt5Gui_LIBRARIES}
-                                   ${Qt5Widgets_LIBRARIES}
-                                   ${Qt5Svg_LIBRARIES}
-                                   ${Qt5Network_LIBRARIES}
-                                   ${Qt5PrintSupport_LIBRARIES}
+endif(Qt${QT_VERSION_MAJOR}LinguistTools_FOUND)
+
+if(NOT WITHOUT_X11 AND UNIX AND NOT APPLE AND NOT HAIKU)
+  if(QT_VERSION_MAJOR EQUAL 6)
+    target_link_libraries(featherpad ${Qt6Core_LIBRARIES}
+                                     ${Qt6Gui_LIBRARIES}
+                                     ${Qt6Widgets_LIBRARIES}
+                                     ${Qt6Svg_LIBRARIES}
+                                     ${Qt6Network_LIBRARIES}
+                                     ${Qt6PrintSupport_LIBRARIES}
+                                     ${X11_LIBRARIES}
+                                     ${HUNSPELL_LIBRARIES})
+  else()
+    target_link_libraries(featherpad ${Qt5Core_LIBRARIES}
+                                     ${Qt5Gui_LIBRARIES}
+                                     ${Qt5Widgets_LIBRARIES}
+                                     ${Qt5Svg_LIBRARIES}
+                                     ${Qt5X11Extras_LIBRARIES}
+                                     ${Qt5Network_LIBRARIES}
+                                     ${Qt5PrintSupport_LIBRARIES}
+                                     ${X11_LIBRARIES}
+                                     ${HUNSPELL_LIBRARIES})
+  endif()
+else()
+  target_link_libraries(featherpad ${Qt${QT_VERSION_MAJOR}Core_LIBRARIES}
+                                   ${Qt${QT_VERSION_MAJOR}Gui_LIBRARIES}
+                                   ${Qt${QT_VERSION_MAJOR}Widgets_LIBRARIES}
+                                   ${Qt${QT_VERSION_MAJOR}Svg_LIBRARIES}
+                                   ${Qt${QT_VERSION_MAJOR}Network_LIBRARIES}
+                                   ${Qt${QT_VERSION_MAJOR}PrintSupport_LIBRARIES}
                                    ${HUNSPELL_LIBRARIES})
 endif()

=== debian/changelog ===
featherpad (1.1.1-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Fixed highlighting of Markdown's single-line codes with multiple
      backquotes. Also, faster syntax highlighting for Markdown.
    - Prevented a rare hang-like behavior with malformed XML documents that have
      huge lines. Also, followed stricter rules for highlighting of "<" in XML.
    - Workaround for wrong positions of instant tab tooltips with Qt6.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 18 Jan 2022 12:31:18 -0800

=== debian/control ===
--- 
+++ 
@@ -22,8 +22,7 @@
 
 Package: featherpad
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends},
-         featherpad-l10n, libglib2.0-bin
+Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

## featherpad 1.2.0

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -1,27 +1,28 @@
-set(QT5_MINIMUM_VERSION "5.12.0")
+set(QT5_MINIMUM_VERSION "5.15.0")
 set(QT6_MINIMUM_VERSION "6.2.0")
 set(HUNSPELL_MINIMUM_VERSION "1.6")
 
 set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")
 
 if(NOT ENABLE_QT5)
-  find_package(QT NAMES Qt6 Qt5 COMPONENTS Core REQUIRED)
-  find_package(Qt${QT_VERSION_MAJOR} COMPONENTS Core REQUIRED)
+  set(QT_VERSION_MAJOR 6)
+  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Gui "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Widgets "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Svg "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6Network "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6PrintSupport "${QT6_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt6DBus "${QT6_MINIMUM_VERSION}" REQUIRED)
 else()
   set(QT_VERSION_MAJOR 5)
-endif()
-
-if(QT_VERSION_MAJOR EQUAL 6)
-  find_package(Qt6Core "${QT6_MINIMUM_VERSION}" REQUIRED)
-else()
   find_package(Qt5Core "${QT5_MINIMUM_VERSION}" REQUIRED)
-endif()
-
-find_package(Qt${QT_VERSION_MAJOR}Gui REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}Widgets REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}Svg REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}Network REQUIRED)
-find_package(Qt${QT_VERSION_MAJOR}PrintSupport REQUIRED)
+  find_package(Qt5Gui "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5Widgets "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5Svg "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5Network "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5PrintSupport "${QT5_MINIMUM_VERSION}" REQUIRED)
+  find_package(Qt5DBus "${QT5_MINIMUM_VERSION}" REQUIRED)
+endif()
 
 # for spell checking (see FindHUNSPELL.cmake)
 find_package(HUNSPELL "${HUNSPELL_MINIMUM_VERSION}" REQUIRED)
@@ -61,6 +62,7 @@
                         ${Qt6Svg_INCLUDE_DIRS}
                         ${Qt6Network_INCLUDE_DIRS}
                         ${Qt6PrintSupport_INCLUDE_DIRS}
+                        ${Qt6DBus_INCLUDE_DIRS}
                         ${X11_INCLUDE_DIR}
                         ${HUNSPELL_INCLUDE_DIRS})
   else()
@@ -72,6 +74,7 @@
                         ${Qt5X11Extras_INCLUDE_DIRS}
                         ${Qt5Network_INCLUDE_DIRS}
                         ${Qt5PrintSupport_INCLUDE_DIRS}
+                        ${Qt5DBus_INCLUDE_DIRS}
                         ${X11_INCLUDE_DIR}
                         ${HUNSPELL_INCLUDE_DIRS})
   endif()
@@ -84,6 +87,7 @@
                       ${Qt${QT_VERSION_MAJOR}Svg_INCLUDE_DIRS}
                       ${Qt${QT_VERSION_MAJOR}Network_INCLUDE_DIRS}
                       ${Qt${QT_VERSION_MAJOR}PrintSupport_INCLUDE_DIRS}
+                      ${Qt${QT_VERSION_MAJOR}DBus_INCLUDE_DIRS}
                       ${HUNSPELL_INCLUDE_DIRS})
 endif()
 
@@ -133,6 +137,7 @@
     highlighter/highlighter-regex.cpp
     highlighter/highlighter-rest.cpp
     highlighter/highlighter-ruby.cpp
+    highlighter/highlighter-rust.cpp
     highlighter/highlighter-sh.cpp
     highlighter/highlighter-tcl.cpp
     highlighter/highlighter-xml.cpp
@@ -193,6 +198,7 @@
                                      ${Qt6Svg_LIBRARIES}
                                      ${Qt6Network_LIBRARIES}
                                      ${Qt6PrintSupport_LIBRARIES}
+                                     ${Qt6DBus_LIBRARIES}
                                      ${X11_LIBRARIES}
                                      ${HUNSPELL_LIBRARIES})
   else()
@@ -203,6 +209,7 @@
                                      ${Qt5X11Extras_LIBRARIES}
                                      ${Qt5Network_LIBRARIES}
                                      ${Qt5PrintSupport_LIBRARIES}
+                                     ${Qt5DBus_LIBRARIES}
                                      ${X11_LIBRARIES}
                                      ${HUNSPELL_LIBRARIES})
   endif()
@@ -213,6 +220,7 @@
                                    ${Qt${QT_VERSION_MAJOR}Svg_LIBRARIES}
                                    ${Qt${QT_VERSION_MAJOR}Network_LIBRARIES}
                                    ${Qt${QT_VERSION_MAJOR}PrintSupport_LIBRARIES}
+                                   ${Qt${QT_VERSION_MAJOR}DBus_LIBRARIES}
                                    ${HUNSPELL_LIBRARIES})
 endif()

=== debian/changelog ===
featherpad (1.2.0-0.1~mx21+1) mx; urgency=medium

  * New upstream release:
    - Try the file manager DBus interface when opening the containing folder
      (from the right-click menu of tab or side-pane item). In this way, it may
      be possible to select and scroll to the file.
    - Restore the view position on reloading, as precisely as possible.
    - Fixed searching in unusually large documents.
    - Select the text between spaces with Ctrl + double click.
      (See Help--> Multiple Clicks.)
    - Added Rust syntax highlighting.
    - Fixes and enhancement to XML and QML syntax highlighting.
    - Bumped the minimum required version of Qt5 to 5.15.0.
    - With Qt6, hide encodings that are not supported by Qt6.

 -- Steven Pusser <stevep@mxlinux.org>  Tue, 17 May 2022 15:31:17 -0700

=== debian/control ===
--- 
+++ 
@@ -7,14 +7,14 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                libhunspell-dev,
-               libqt5svg5-dev,
-               libqt5x11extras5-dev,
+               libqt5svg5-dev (>= 5.15.0),
+               libqt5x11extras5-dev (>= 5.15.0),
                libx11-dev,
                libxext-dev,
                pkg-config,
-               qtbase5-dev,
-               qttools5-dev,
-               qttools5-dev-tools
+               qtbase5-dev (>= 5.15.0),
+               qttools5-dev (>= 5.15.0),
+               qttools5-dev-tools (>= 5.15.0)
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
 Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
@@ -22,7 +22,10 @@
 
 Package: featherpad
 Architecture: any
-Depends: featherpad-l10n, libglib2.0-bin, ${misc:Depends}, ${shlibs:Depends}
+Depends: featherpad-l10n,
+         libglib2.0-bin,
+         ${misc:Depends},
+         ${shlibs:Depends}
 Description: Lightweight Qt5 plain-text editor
  FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
  of any desktop environment and comes with all features one would expect in a

## featherpad 1.3.0

=== featherpad/CMakeLists.txt ===
--- 
+++ 
@@ -124,6 +124,7 @@
     spellChecker.cpp
     spellDialog.cpp
     highlighter/highlighter.cpp
+    highlighter/highlighter-cmake.cpp
     highlighter/highlighter-css.cpp
     highlighter/highlighter-fountain.cpp
     highlighter/highlighter-java.cpp

=== debian/changelog ===
featherpad (1.3.0-0ubuntu1) kinetic; urgency=medium

  * New upstream release.
  * Updated copyright file.
  * Bumped standards-version, no changes needed.
  * Changed build system from qmake to cmake.
  * Fixed featherpad-l10n.install.
  * Added libhunspell-dev and pkgconf as build dependencies.
  * Ran wrap-and-sort.
  * Updated debian/watch file version.
  * Overrode missing man page warnings.
  * Removed unneeded "-Wl,--as-needed" linker flags from debian/rules.
  * Added "Lubuntu Developers" to debian/copyright.
  * Fixed watch file (thank you Thomas Ward!)
  * Added automatic GPG verification (thanks you Thomas Ward!)

 -- Aaron Rainbolt <arraybolt3@gmail.com>  Tue, 21 Jun 2022 14:05:07 -0500

=== debian/control ===
Source: featherpad
Maintainer: LXQt Packaging Team <pkg-lxqt-devel@lists.alioth.debian.org>
Uploaders: Alf Gaida <agaida@siduction.org>,
           Andrew Lee (李健秋) <ajqlee@debian.org>
Section: editors
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               libhunspell-dev,
               libqt5svg5-dev,
               libqt5x11extras5-dev,
               libx11-dev,
               libxext-dev,
               pkgconf,
               qtbase5-dev,
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.6.1
Vcs-Browser: https://salsa.debian.org/lxqt-team/featherpad
Vcs-Git: https://salsa.debian.org/lxqt-team/featherpad.git
Homepage: https://github.com/tsujan/featherpad

Package: featherpad
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: featherpad-l10n, libglib2.0-bin
Description: Lightweight Qt5 plain-text editor
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the application files.

Package: featherpad-l10n
Architecture: all
Multi-Arch: foreign
Section: localization
Depends: qttranslations5-l10n, ${misc:Depends}
Breaks: featherpad (<< 0.11.1)
Replaces: featherpad (<< 0.11.1)
Description: Language package for featherpad
 FeatherPad is a lightweight Qt5 plain-text editor for Linux. It is independent
 of any desktop environment and comes with all features one would expect in a
 modern editor.
 .
 This package contains the l10n files needed by the featherpad.

=== debian/watch ===
version=4
opts="pgpsigurlmangle=s/$/.asc/, \
filenamemangle=s/.+\/FeatherPad-(\d\S+)\.tar\.xz/featherpad-$1\.tar\.xz/" \
  https://github.com/tsujan/featherpad/releases .*\/FeatherPad-(\d\S+)\.tar\.xz
